package com.jz.common.enums;

/**
 * 业务流程实例状态
 *
 * @author Bellamy
 * @since 2020-11-30 14:30:23
 */
public enum FlowInstanceEnum {
    /**
     * 运行中
     */
    running("running", "30"),

    /**
     * 成功
     */
    success("success", "50"),

    kill("kill", "60"),

    /**
     * 失败
     */
    failed("failed", "70"),
    ;

    private String code;

    private String value;

    private FlowInstanceEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public static FlowInstanceEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (FlowInstanceEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
