package com.jz.dmp.modules.controller.DataIntegration.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: SourceDbNameListDto
 * @Description: 源数据库名称列表返回参数
 * @Author ：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
@ApiModel(value = "源数据库名称列表返回参数", description = "源数据库名称列表返回参数")
public class SourceDbNameListDto {

    /*
     * 源数据id
     * */
    @ApiModelProperty(value = "源数据库id")
    String id;

    /*
     * 源数据库名称
     * */
    @ApiModelProperty(value = "数据源名称")
    String datasourceNameOrg;

    /*
     * 数据库连接地址
     * */
    @ApiModelProperty(value = "数据库连接地址")
    String jdbcUrl;

    /*
     * 数据库类型名称
     * */
    @ApiModelProperty(value = "数据库类型名称")
    String datasourceTypeName;

    /*
     * 源数据库和数据库类型名称
     * */
    @ApiModelProperty(value = "数据源和数据库类型名称")
    String datasourceName;

    /*
     * 数据库类型（大写）
     * */
    @ApiModelProperty(value = "数据库类型（大写）")
    String datasourceType;

    /*
     * 数据源分类
     * */
    @ApiModelProperty(value = "数据源分类")
    String datasourceCatecode;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDatasourceNameOrg() {
        return datasourceNameOrg;
    }

    public void setDatasourceNameOrg(String datasourceNameOrg) {
        this.datasourceNameOrg = datasourceNameOrg;
    }

    public String getJdbcUrl() {
        return jdbcUrl;
    }

    public void setJdbcUrl(String jdbcUrl) {
        this.jdbcUrl = jdbcUrl;
    }

    public String getDatasourceTypeName() {
        return datasourceTypeName;
    }

    public void setDatasourceTypeName(String datasourceTypeName) {
        this.datasourceTypeName = datasourceTypeName;
    }

    public String getDatasourceName() {
        return datasourceName;
    }

    public void setDatasourceName(String datasourceName) {
        this.datasourceName = datasourceName;
    }

    public String getDatasourceType() {
        return datasourceType;
    }

    public void setDatasourceType(String datasourceType) {
        this.datasourceType = datasourceType;
    }

    public String getDatasourceCatecode() {
        return datasourceCatecode;
    }

    public void setDatasourceCatecode(String datasourceCatecode) {
        this.datasourceCatecode = datasourceCatecode;
    }
}
