package com.jz.dmp.modules.dao;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;
import com.jz.dmp.modules.controller.bean.DmpOptLogDto;
import com.jz.dmp.modules.model.DmpOptLog;

/**操作日志表 mapper
 * @author ybz
 *
 */
public interface DmpOptLogMapper {
	
	/**新增操作日志表
     * @param dmpOptLog
     * @return
     * @throws Exception
     */
    public int insert(DmpOptLog dmpOptLog)throws Exception;

    /**选择性增加操作日志表
     * @param dmpOptLog
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpOptLog dmpOptLog)throws Exception;
    
    /**主键修改操作日志表
     * @param dmpOptLog
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpOptLog dmpOptLog)throws Exception;

    /**选择性修改操作日志表
     * @param dmpOptLog
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpOptLog dmpOptLog)throws Exception;
    
    /**主键查询操作日志表
     * @param optId
     * @return
     * @throws Exception
     */
    public DmpOptLog selectByPrimaryKey(Integer optId)throws Exception;

    /**主键删除操作日志表
     * @param optId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer optId)throws Exception;
    
    /**主键软删除操作日志表
     * @param optId
     * @return
     * @throws Exception
     */
    public int softDeleteByPrimaryKey(Integer optId)throws Exception;
    
    /**主键删除操作日志表
     * @param optId
     * @return
     * @throws Exception
     */
    public int delete(Map<String, Object> param)throws Exception;
    
    /**主键软删除操作日志表
     * @param optId
     * @return
     * @throws Exception
     */
    public int softDelete(Map<String, Object> param)throws Exception;

	/**条件查询操作日志表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpOptLogDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询操作日志表
	 * @param optId
	 * @return
	 * @throws Exception
	 */
	public DmpOptLogDto findById(Integer optId)throws Exception;

	/**批量新增操作日志表
	 * @param dmpOptLogs
	 * @throws Exception
	 */
	public void insertBatch(List<DmpOptLog> dmpOptLogs)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(批量删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void deleteByIds(@Param("idList")List<Integer> idList)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(批量软删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void softDeleteByIds(@Param("idList")List<Integer> idList)throws Exception;
	
}
